/*
 * xpf_dep.h:	Machine/system dependent constants reflecting sizes
 *		of data structures and parameters of the protocol.
 */

#ifndef	_XPF_DEP_H_
#define _XPF_DEP_H_

/*
 * First two can be set by control ops, the other three can't.
 */

#define XPF_DEFAULT_MAXASSOCIATIONS	(1024)			/* max nodes in DAG */
#define XPF_DEFAULT_GRANULARITY		(sizeof(unsigned short)) /* min data for commonprefix: >= sizeof(primitive types) */
#define XPF_DEFAULT_TIMER		(100000)		/* Clean up stale programs every 100000 Launches */

#define XPF_DATA_MAXSIZE		(sizeof(unsigned long))	/* max data to extract */
#define XPF_DAGS_MAXDEPTH		(64)			/* max depth of DAG */
#define XPF_DAGS_HASHTABLESIZE		(32*1024-1)		/* The hash-function is a simple mod function: so use a prime > 20 */

#endif	_XPF_DEP_H_
